GGATEC(8)

NAME
ggatec - GEOM Gate network client and control utility

SYNOPSIS
ggatec create [-n] [-v] [-o ro | wo | rw] [-p port] [-q queue_size] [-R rcvbuf] [-S sndbuf] [-s sectorsize] [-t timeout] [-u unit] host path
ggatec rescue [-n] [-v] [-o ro | wo | rw] [-p port] [-R rcvbuf] [-S sndbuf] -u unit host path
ggatec destroy [-f] -u unit
ggatec list [-v] [-u unit]

DESCRIPTION
The ggatec utility is a network client for GEOM Gate class. It is responsible for creation of ggate devices and forwarding I/O requests between geom_gate.ko kernel module and ggated(8) network daemon. Available commands:

create
    Connect to given ggated(8) daemon and create a ggate provider related to the given remote file or device.

rescue
    If ggatec process died/has been killed, you can save situation with this command, which creates new connection to the ggated(8) daemon and will handle pending and future requests.

destroy
    Destroy the given ggate provider.

list
    List ggate providers.

Available options:

-f  Forcibly destroy ggate provider (cancels all pending requests).

-n  Do not use TCP_NODELAY option on TCP sockets.

-o ro | wo | rw
    Specify permission to use when opening the file or device: read-only (ro), write-only (wo), or read-write (rw). Default is rw.

-p port
    Port to connect to on the remote host. Default is 3080.

-q queue_size
    Number of pending I/O requests that can be queued before they will start to be canceled. Default is 1024.

-R rcvbuf
    Size of receive buffer to use. Default is 131072 (128kB).

-S sndbuf
    Size of send buffer to use. Default is 131072 (128kB).

-s sectorsize
    Sector size for ggate provider. If not specified, it is taken from device, or set to 512 bytes for files.

-t timeout
    Number of seconds to wait before an I/O request will be canceled. 0 means no timeout. Default is 0.

-u unit
    Unit number to use.

-v  Do not fork, run in foreground and print debug informations on standard output.

host
    Remote host to connect to.

path
    Path to a regular file or device.

EXIT STATUS
Exit status is 0 on success, or 1 if the command fails. To get details about the failure, ggatec should be called with the -v option.

EXAMPLES
Make use of CD-ROM device from remote host.

    server# cat /etc/gg.exports
    client RO /dev/acd0
    server# ggated
    client# ggatec create -o ro server /dev/acd0
    ggate0
    client# mount_cd9660 /dev/ggate0 /cdrom

SEE ALSO
geom(4), ggated(8), ggatel(8), mount_cd9660(8)

AUTHORS
The ggatec utility as well as this manual page was written by Pawel Jakub Dawidek <pjd@FreeBSD.org>.